// Copyright  2021-2022 China Mobile Communications Group Co.,Ltd. All Rights Reserved.

#pragma once
#include "IGSXRInputPlugin.h"

class FGSXRHMD;
class FGSXRInputModule : public IGSXRInputPlugin
{
public:
	FGSXRInputModule();
	virtual ~FGSXRInputModule();

	virtual void StartupModule() override;
	virtual void ShutdownModule() override;
	virtual TSharedPtr< class IInputDevice > CreateInputDevice(const TSharedRef< FGenericApplicationMessageHandler >& InMessageHandler) override;

private:	
	TSharedPtr<class FGSXRInput> InputDevice;
};
